Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.compliance.PreflightReportSettingData Class Reference

## Public Member Functions
| PreflightReportSettingData ()
| Constructor.
| PreflightReportSettingData (int report_file_format_type, boolean to_generate_overview, boolean to_highlight_problems, int problem_highlight_method, String report_file_path)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getProblems_highlight_method ()
| Get the method highlight problems. More...
int | getReport_file_format_type ()
| Get the report file format type. More...
String | getReport_file_path ()
| Get a complete path for the report file. More...
boolean | getTo_generate_overview ()
| Get whether to generate overview or not. More...
boolean | getTo_highlight_problems ()
| Get whether to highlight problems or not. More...
void | setProblems_highlight_method (int value)
| Set the method highlight problems. More...
void | setReport_file_format_type (int value)
| Set the report file format type. More...
void | setReport_file_path (String value)
| Set a complete path for the report file. More...
void | setTo_generate_overview (boolean value)
| Set whether to generate overview or not. More...
void | setTo_highlight_problems (boolean value)
| Set whether to highlight problems or not. More...

## Static Public Attributes
static final int | e_ProblemsHighlightMethodLayers = 1
| Problems highlighted by layers.
static final int | e_ProblemsHighlightMethodTransparentMasks = 0
| Problems highlighted by transparent masks.
static final int | e_ReportFileFormatTypeHtml = 3
| Report file format type: HTML.
static final int | e_ReportFileFormatTypePdf = 0
| Report file format type: PDF.
static final int | e_ReportFileFormatTypeTxt = 2
| Report file format type: TXT & TEXT.
static final int | e_ReportFileFormatTypeXml = 1
| Report file format type: XML.

## Detailed Description

This class represents setting data used for generating preflight report file.

## Constructor & Destructor Documentation

## ◆ PreflightReportSettingData()

com.foxit.sdk.addon.compliance.PreflightReportSettingData.PreflightReportSettingData | ( | int | report_file_format_type,
|  | boolean | to_generate_overview,
|  | boolean | to_highlight_problems,
|  | int | problem_highlight_method,
|  | String | report_file_path
| ) |  |

Constructor, with parameters.

Parameters

  [in] | report_file_format_type | The report file format type. Please refer to values starting from com.foxit.sdk.addon.compliance.PreflightReportSettingData.e_ReportFileFormatTypePdf and this should be one of these values.
  [in] | to_generate_overview | Whether to generate overview or not. true menas to generate overview, false means not.
  [in] | to_highlight_problems | Whether to highlight problems or not.true menas to highlight problems, false means not.
  [in] | report_file_path | A complete path for the report file. This should not be an empty string.

Returns
  None.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.compliance.PreflightReportSettingData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getProblems_highlight_method()

com.foxit.sdk.addon.compliance.PreflightReportSettingData.getProblems_highlight_method | ( |  | ) |

Get the method highlight problems.

Returns
  The method highlight problems. Only effective when to_highlight_problems is true and report_file_format_type is com.foxit.sdk.addon.compliance.PreflightReportSettingData.e_ReportFileFormatTypePdf . Please refer to values starting from com.foxit.sdk.addon.compliance.PreflightReportSettingData.e_ProblemsHighlightMethodTransparentMasks and this should be one of these values.

## ◆ getReport_file_format_type()

com.foxit.sdk.addon.compliance.PreflightReportSettingData.getReport_file_format_type | ( |  | ) |

Get the report file format type.

Returns
  The report file format type. Please refer to values starting from com.foxit.sdk.addon.compliance.PreflightReportSettingData.e_ReportFileFormatTypePdf and this should be one of these values.

## ◆ getReport_file_path()

com.foxit.sdk.addon.compliance.PreflightReportSettingData.getReport_file_path | ( |  | ) |

Get a complete path for the report file.

Returns
  A complete path for the report file. This should not be an empty string.

## ◆ getTo_generate_overview()

com.foxit.sdk.addon.compliance.PreflightReportSettingData.getTo_generate_overview | ( |  | ) |

Get whether to generate overview or not.

Returns
  Whether to generate overview or not. true menas to generate overview, false means not.

## ◆ getTo_highlight_problems()

com.foxit.sdk.addon.compliance.PreflightReportSettingData.getTo_highlight_problems | ( |  | ) |

Get whether to highlight problems or not.

Returns
  Whether to highlight problems or not. true menas to highlight problems, false means not.

## ◆ setProblems_highlight_method()

com.foxit.sdk.addon.compliance.PreflightReportSettingData.setProblems_highlight_method | ( | int | value | ) |

Set the method highlight problems.

Parameters

  [in] | value | The method highlight problems. Only effective when to_highlight_problems is true and report_file_format_type is com.foxit.sdk.addon.compliance.PreflightReportSettingData.e_ReportFileFormatTypePdf . Please refer to values starting from com.foxit.sdk.addon.compliance.PreflightReportSettingData.e_ProblemsHighlightMethodTransparentMasks and this should be one of these values.

Returns
  None.

## ◆ setReport_file_format_type()

com.foxit.sdk.addon.compliance.PreflightReportSettingData.setReport_file_format_type | ( | int | value | ) |

Set the report file format type.

Parameters

  [in] | value | The report file format type. Please refer to values starting from com.foxit.sdk.addon.compliance.PreflightReportSettingData.e_ReportFileFormatTypePdf and this should be one of these values.

Returns
  None.

## ◆ setReport_file_path()

com.foxit.sdk.addon.compliance.PreflightReportSettingData.setReport_file_path | ( | String | value | ) |

Set a complete path for the report file.

Parameters

  [in] | value | A complete path for the report file. This should not be an empty string.

Returns
  None.

## ◆ setTo_generate_overview()

com.foxit.sdk.addon.compliance.PreflightReportSettingData.setTo_generate_overview | ( | boolean | value | ) |

Set whether to generate overview or not.

Parameters

  [in] | value | Whether to generate overview or not. true menas to generate overview, false means not.

Returns
  None.

## ◆ setTo_highlight_problems()

com.foxit.sdk.addon.compliance.PreflightReportSettingData.setTo_highlight_problems | ( | boolean | value | ) |

Set whether to highlight problems or not.

Parameters

  [in] | value | Whether to highlight problems or not. true menas to highlight problems, false means not.

Returns
  None.